org.apache.cayenne.dba.sybase

## Class SybaseAdapter

- java.lang.Object
- - org.apache.cayenne.dba.JdbcAdapter
  - - org.apache.cayenne.dba.sybase.SybaseAdapter

- All Implemented Interfaces:
    DbAdapter
  Direct Known Subclasses:
    SQLServerAdapter

      public class SybaseAdapter
      extends JdbcAdapter

  DbAdapter implementation for Sybase RDBMS.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.dba.JdbcAdapter

      `batchQueryBuilderFactory, caseInsensitiveCollations, ejbqlTranslatorFactory, extendedTypes, logger, quotingStrategy, resourceLocator, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SybaseAdapter(RuntimeProperties runtimeProperties, List<ExtendedType> defaultExtendedTypes, List<ExtendedType> userExtendedTypes, List<ExtendedTypeFactory> extendedTypeFactories, ResourceLocator resourceLocator, ValueObjectTypeRegistry valueObjectTypeRegistry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindParameter(PreparedStatement statement, ParameterBinding binding)` Binds an object value to PreparedStatement's parameter.
    `protected void` | `configureExtendedTypes(ExtendedTypeMap map)` Installs appropriate ExtendedTypes as converters for passing values between JDBC and Java layers.
    `protected EJBQLTranslatorFactory` | `createEJBQLTranslatorFactory()` Creates and returns an `EJBQLTranslatorFactory` used to generate visitors for EJBQL to SQL translations.
    `protected PkGenerator` | `createPkGenerator()` Creates and returns a primary key generator.
    `protected QuotingStrategy` | `createQuotingStrategy()`
    `String` | `getBatchTerminator()` Returns word "go".
    `QualifierTranslator` | `getQualifierTranslator(QueryAssembler queryAssembler)` Creates and returns a default implementation of a qualifier translator.
    `SelectTranslator` | `getSelectTranslator(SelectQuery<?> query, EntityResolver entityResolver)` Returns a SelectTranslator that works with the adapter target database.

    - ### Methods inherited from class org.apache.cayenne.dba.JdbcAdapter

      `buildAttribute, createFkConstraint, createTable, createTableAppendColumn, createTableAppendPKClause, createUniqueConstraint, dropTableStatements, externalTypesForJdbcType, findResource, getAction, getBatchQueryBuilderFactory, getEjbqlTranslatorFactory, getExtendedTypes, getJdbcEventLogger, getPkGenerator, getQuotingStrategy, getQuotingStrategy, getType, initExtendedTypes, setBatchQueryBuilderFactory, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsGeneratedKeys, setSupportsUniqueConstraints, sizeAndPrecision, supportsBatchUpdates, supportsCatalogsOnReverseEngineering, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView, typeSupportsLength, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SybaseAdapter

          public SybaseAdapter(RuntimeProperties runtimeProperties,
                               List<ExtendedType> defaultExtendedTypes,
                               List<ExtendedType> userExtendedTypes,
                               List<ExtendedTypeFactory> extendedTypeFactories,
                               ResourceLocator resourceLocator,
                               ValueObjectTypeRegistry valueObjectTypeRegistry)

  - ### Method Detail

    - #### createQuotingStrategy

          protected QuotingStrategy createQuotingStrategy()

      Overrides:
        `createQuotingStrategy` in class `JdbcAdapter`
      Returns:

    - #### createEJBQLTranslatorFactory

          protected EJBQLTranslatorFactory createEJBQLTranslatorFactory()

      Description copied from class: `JdbcAdapter`
      Creates and returns an `EJBQLTranslatorFactory` used to generate visitors for EJBQL to SQL translations. This method should be overriden by subclasses that need to customize EJBQL generation.
      Overrides:
        `createEJBQLTranslatorFactory` in class `JdbcAdapter`
      Since:
        3.0

    - #### getSelectTranslator

          public SelectTranslator getSelectTranslator(SelectQuery<?> query,
                                                      EntityResolver entityResolver)

      Description copied from interface: `DbAdapter`
      Returns a SelectTranslator that works with the adapter target database.
      Specified by:
        `getSelectTranslator` in interface `DbAdapter`
      Overrides:
        `getSelectTranslator` in class `JdbcAdapter`
      Since:
        4.0

    - #### getQualifierTranslator

          public QualifierTranslator getQualifierTranslator(QueryAssembler queryAssembler)

      Description copied from class: `JdbcAdapter`
      Creates and returns a default implementation of a qualifier translator.
      Specified by:
        `getQualifierTranslator` in interface `DbAdapter`
      Overrides:
        `getQualifierTranslator` in class `JdbcAdapter`
      Since:
        4.0

    - #### getBatchTerminator

          public String getBatchTerminator()

      Returns word "go".
      Specified by:
        `getBatchTerminator` in interface `DbAdapter`
      Overrides:
        `getBatchTerminator` in class `JdbcAdapter`
      Since:
        1.0.4

    - #### configureExtendedTypes

          protected void configureExtendedTypes(ExtendedTypeMap map)

      Installs appropriate ExtendedTypes as converters for passing values between JDBC and Java layers.
      Overrides:
        `configureExtendedTypes` in class `JdbcAdapter`

    - #### createPkGenerator

          protected PkGenerator createPkGenerator()

      Creates and returns a primary key generator. Overrides superclass implementation to return an instance of SybasePkGenerator.
      Overrides:
        `createPkGenerator` in class `JdbcAdapter`

    - #### bindParameter

          public void bindParameter(PreparedStatement statement,
                                    ParameterBinding binding)
                             throws SQLException,
                                    Exception

      Description copied from interface: `DbAdapter`
      Binds an object value to PreparedStatement's parameter.
      Specified by:
        `bindParameter` in interface `DbAdapter`
      Overrides:
        `bindParameter` in class `JdbcAdapter`
      Throws:
        `SQLException`
        `Exception`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.